Subject: Re: Problem with consult

From: Jan Wielemaker <[email-masked]>
Date: Tue, 1 Feb 2000 17:41:15 +0100

> I can't execute consult(FileName) sometimes if exported procedure in
> FileName is no defined.
> 
> Example:
> file test_mod.pl
> ----------------
> :- use_module([
>                 test_mod2
>                 ]).
> 
> file test_mod2.pl
> -----------------
> :- module(test_mod2,[
>                 test/0
>                 ]).
> 
> test_mod2:test/0 is not defined.
> When i type consult(test_mod). (or [test_mod].) prolog is hanging. I use
> SwiProlog 3.3.0#12.

Thanks. Fixed. Until version 3.3.0#13, just don't make this mistake :-)

Please note you are working with the multi-threaded version!  I happen
to know from you, but even then you might use both.  This problem was
caused by a classical deadlock problem.

	Regards --- Jan